Skip to main content
`Ctrl`+`K`

# DMDASetInterpolationType

Sets the type of interpolation that will be returned by `DMCreateInterpolation()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetInterpolationType(DM da, DMDAInterpolationType ctype)

Logically Collective

## Input Parameters

- da - initial distributed array

- ctype - `DMDA_Q1` and `DMDA_Q0` are currently the only supported forms

## Note

You should call this on the coarser of the two `DMDA` you pass to `DMCreateInterpolation()`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMDestroy()`, `DMDAInterpolationType`, `DMDA_Q1`, `DMDA_Q0`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/ksp/ksp/tutorials/ex32.c
src/ksp/ksp/tutorials/ex34.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages